LAL_DEBUG_LEVEL(7)

NAME
LAL_DEBUG_LEVEL - control LALSuite debugging information verbosity and memory debugging features

SYNOPSIS
export LAL_DEBUG_LEVEL=level[,level...] env LAL_DEBUG_LEVEL=level[,level...] lalsuite-executable [args...]

DESCRIPTION
The environment variable LAL_DEBUG_LEVEL controls the default verbosity of LALSuite debugging information printed through the functions defined in LALError.h and XLALError.h. It also controls several memory debugging features implemented for memory allocated using the functions defined in LALMalloc.h.

OPTIONS
LAL_DEBUG_LEVEL is parsed as a comma-separated series of levels. (Empty levels are ignored.) Each level is a case-insensitive string, and may be one of the following:

    NDEBUG
        No debugging information is printed and memory debugging features are disabled. This cancels out the effect of any previously-specified levels.

    Debugging information verbosity levels:

        ERROR
            Error messages are printed (default).

        WARNING
            Warning messages are printed.

        INFO
            Information messages are printed.

        TRACE
            Function call tracing messages are printed.

        MSGLVL1
            Equivalent to ERROR.

        MSGLVL2
            Equivalent to ERROR and WARNING combined.

        MSGLVL3
            Equivalent to ERROR, WARNING, and INFO combined.

    Memory debugging levels:

        MEMDBG
            Debugging of memory allocation routines is enabled, but no function call or memory allocation tracing messages are printed.

        MEMTRACE
            Debugging of memory allocation routines is enabled, and in addition function call and memory allocation tracing messages are printed.

    ALLDBG
        All debugging information messages are printed, and all memory debugging features are enabled.

AUTHORS
Jolien Creighton, Karl Wette